eunikitin - npm-package-es6-boilerplate 1.0.9 devDependencies status

Boilerplate for creating npm packages with ES6. Deprecated in favour of new modern-package-boilerplate. Features: webpack2, babel, mocha, chai, sinon, istanbul, eslint, CI with travis-ci.org, coverage reports with coveralls.io

  • 24 Dependencies total
  • 4 Up to date
  • 20 Pinned, out of date
  • 0 Out of date
DependencyChangesRequiredStableLatestStatus
babel-core
6.26.06.26.37.0.0-bridge.0
babel-eslint
7.2.310.1.011.0.0-beta.2
babel-loader
7.1.48.2.28.2.2
babel-preset-es20156.24.16.24.17.0.0-beta.3
babel-preset-stage-06.24.16.24.17.0.0-beta.3
babel-register6.26.06.26.07.0.0-beta.3
chai
4.1.24.3.44.3.4
coveralls
2.13.33.1.03.1.0
eslint
3.19.07.24.07.24.0
eslint-config-airbnb
15.1.018.2.118.2.1
eslint-plugin-import
2.11.02.22.12.22.1
eslint-plugin-jsx-a11y
5.1.16.4.16.4.1
eslint-plugin-react
7.7.07.23.27.23.2
fs-file-tree
1.0.61.1.11.1.1
istanbul-instrumenter-loader
2.0.03.0.13.0.1
mocha
3.4.28.3.28.3.2
mocha-webpack
0.7.01.1.02.0.0-beta.0
nyc
11.0.115.1.015.1.0
rimraf
2.6.13.0.23.0.2
sinon
2.3.210.0.110.0.1
webpack
2.6.15.31.25.31.2
webpack-merge
4.1.05.7.35.7.3
webpack-node-externals
1.6.02.5.22.5.2
webpack-uglify-js-plugin1.1.91.1.91.1.9
  • 24 Dependencies total
  • 4 Up to date
  • 20 Pinned, out of date
  • 0 Out of date